Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.pdfview
Class Identity8BitCharsetEncoder

    java.lang.Object
      java.nio.charset.CharsetEncoder
          com.sun.pdfview.Identity8BitCharsetEncoder

    public class Identity8BitCharsetEncoder

extends java.nio.charset.CharsetEncoder

A `CharsetEncoder` that attempts to write out the lower 8 bits of any character. Characters >= 256 in value are regarded as unmappable.

Constructor Summary
`Identity8BitCharsetEncoder()`

Method Summary
`protected java.nio.charset.CoderResult` | `encodeLoop(java.nio.CharBuffer in, java.nio.ByteBuffer out)`
`boolean` | `isLegalReplacement(byte[] repl)`

Methods inherited from class java.nio.charset.CharsetEncoder
`averageBytesPerChar, canEncode, canEncode, charset, encode, encode, flush, implFlush, implOnMalformedInput, implOnUnmappableCharacter, implReplaceWith, implReset, malformedInputAction, maxBytesPerChar, onMalformedInput, onUnmappableCharacter, replacement, replaceWith, reset, unmappableCharacterAction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Identity8BitCharsetEncoder

    public Identity8BitCharsetEncoder()

Method Detail

### encodeLoop

    protected java.nio.charset.CoderResult encodeLoop(java.nio.CharBuffer in,
                                                      java.nio.ByteBuffer out)

  Specified by:
    `encodeLoop` in class `java.nio.charset.CharsetEncoder`

### isLegalReplacement

    public boolean isLegalReplacement(byte[] repl)

  Overrides:
    `isLegalReplacement` in class `java.nio.charset.CharsetEncoder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD